Subject: Re: ARM3/ARM6 compatibility

From: David Alan Gilbert <[email-masked]>
Date: Fri, 16 May 97 14:30:01 BST

> I think we will probably need all four combinations - 26 bit a.out, 26-bit
> ELF, 32-bit a.out and 32-bit ELF.  As I said, ARM3 machines absolutely
> need 26-bit code, and new ARM (eg Thumb) absolutely needs 32-bit code, so
> there's no getting away from that one.  Also we need a.out and ELF, and
> since binary format is pretty much orthogonal to the generated code
> anyway we might as well go the whole hog.  

I'm not sure thats true.  Is there any reason why we need 32 bit a.out?
I believe that 2 file formats is better than 4.

Dave

---

From: Philip Blundell <[email-masked]>
Date: Fri, 16 May 1997 14:32:48 +0100 (BST)

> I'm not sure thats true.  Is there any reason why we need 32 bit a.out?

If we can get ELF working in a reasonable timeframe then no, we don't
really need 32-bit a.out.

p.